SpatiaLite Layer default style is not loaded when using the SpatiaLite provider (the OGR provider 

works fine)

2017-10-06 08:35 PM - Borys Jurgiel

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/SpatiaLite

Affected QGIS version:2.18.13 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 25154

Description

When loading a SpatiaLite layer with the SpatiaLite provider, QGIS doesn't load the layer's default style.

Loading with the OGR provider works fine.

It doesn't matter if the default style is saved in the source db or in the local qgis.qmldb

It doesn't matter if you use the "Add xxx Layer" dialog or the appropriate branch in the Browser panel.

Just the provider matters.

Related issues:

Copied to QGIS Application - Bug report # 17309: SpatiaLite Layer default sty... Closed 2017-10-06

History

#1 - 2017-10-20 04:03 PM - Borys Jurgiel

- Copied to Bug report #17309: SpatiaLite Layer default style is (usually) not loaded. added

#2 - 2017-10-20 04:04 PM - Borys Jurgiel

- Resolution set to invalid

- Status changed from Open to Closed
